/* CSS di esempio - Modulo di programmazione Web */

/* reset html, body margin and padding */

* {
	box-sizing: border-box;
}

html,
body {
	margin: 0;
	padding: 0;
	scroll-behavior: smooth;
}

/* body default */

body {
	font-family: "Open Sans", Arial, Sans Serif;
	font-size: 16px;
	color: #333;
}

/* headings default */

h1, h2 {
	color: #111a39;
}

h3, h4, h5, h6 {
	color: #19203c
}

/* generic container */

.container {
	max-width: 1240px;
	margin: 0 auto;
	padding: 0 10px;
}

/* multimedia */

video {
	width: 1024px;
	height: auto;
}

/* header elements */

header {
	display: block;
	background-color: #fff;
}

header .container {	
	display: flex;
	align-items: center;
	height: 90px;
}

header .logo {
	background-color: #cdc0b0;
	padding: 16px 12px;
	width: 240px;
}

header .logo h1 {
	color: white;
	font-size: 24px;
	font-weight: 700;
	letter-spacing: 1px;
	margin: 0;
	padding: 0;
	text-align: center;
	text-transform: uppercase;	
}

header nav {
	display: flex;
	justify-content: flex-end;
	width: 100%;
}

header nav ul {
	display: flex;
	flex-flow: row wrap;	
}

header nav ul,
header nav li,
header nav ul li {
	text-indent: 0;
	list-style-type: none;
	padding: 0;
	margin: 0;
}

header nav ul li a {
	display: inline-block;
	font-size: 14px;
	font-weight: 500;
	margin: 5px 10px;
	padding: 10px;
	text-transform: uppercase;
	text-decoration: none;	
	text-decoration: underline 2px rgba(0, 0, 0, 0);
	text-underline-offset: 5px;
	transition: text-decoration-color 300ms ease-out, text-underline-offset 300ms ease-out; 
}

header nav ul li a,
header nav ul li a:link,
header nav ul li a:visited {
	color: #011434;
} 

header nav ul li a:hover {
	color: #011434;	
	text-decoration-color: #011434;
	text-underline-offset: 15px;
}

/* section "hero" */

section.hero {
	display: block;
	background-color: #cdc0b0;
	margin: 0;
	padding: 30px 10px;
	background-image: url('assets/images/azienda-moda.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

section.hero .container {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	height: 100vh;
	text-alignment: center;
}

section.hero h2 {
	color: white;
	font-size: 60px;
	font-weight: 700;
	margin: 0 0 40px 0;
	text-transform: uppercase;
	text-shadow: 2px 3px 5px rgba(0, 0, 0, 0.5);
}

section.hero h3 {
	color: white;
	font-size: 28px;
	font-weight: 600;
	margin-bottom: 0 0 30px 0;
	text-shadow: 2px 3px 5px rgba(0, 0, 0, 0.5);
}

section.hero a.button,
section.hero a.button:link,
section.hero a.button:visited {
	color: #fff;
	text-decoration: none;
}

section.hero a.button {
	border-radius: 20px;
	font-size: 16px;
	font-weight: 500;
	display: inline-block;
	background-color: #011434;
	padding: 10px 20px;
	margin: 10px 0;
	text-transform: uppercase;
}

section.hero a.button:hover {
	background-color: #948b89;
}

/* section "services", "products", "contacts" */

section.services,
section.products,
section.contacts {
	display: block;
	background-color: #cdc0b099;
	margin: 0;
	padding: 100px 10px;
	min-height: 90vh;
}

section.products {
	background-color: #cdc0b0;
}

section.services .container,
section.products .container, 
section.contacts .container {
	display: flex;
	flex-flow: row nowrap;	
	gap: 20px;
	justify-content: center;
	align-items: stretch;
}

section.contacts .container {
	flex-flow: row wrap;
	justify-content: start;
	align-items: end;
	min-height: 300px;
}

section.services h2,
section.products h2,
section.contacts h2 {
	font-size: 32px;
	font-weight: 700;
	padding: 0 10px 40px 10px;
	text-transform: uppercase;
	text-align: center;
	width: 100%;
}

section.products h2 {
	color: #ffffff;
}

section.services h4,
section.products h4 {
	font-size: 16px;
	font-weight: 700;
}

section.contacts label {
	margin-bottom: 5px;
	margin-left: 15px;
	display: inline-block;
	font-size: 16px;
	font-weight: 500;
	text-transform: uppercase;
	color: #333;
}

section.contacts input,
section.contacts button {
	display: inline-block;
	border-radius: 20px;
	border-color: #011434;
	border-width: 3px;
	font-size: 18px;
	padding: 8px 12px;
	color: #666;
	width: 100%;
}

section.contacts button {
	background-color: #011434;
	color: #ffffff;
}

.photo {
	width: 100%;
	height: auto;
}

/* columns definition */

section.services .column {
	flex: 0 0 30%;
	padding: 20px;
}

section.products .column {
	flex: 0 0 25%;
	padding: 20px;
}


section.contacts .submit
{
	padding-left: 50px;
	padding-right: 50px;
}

section.products .column {
	background-color: #fff;
}

/* footer */

footer {
	color: #FFFFFF;
	background-color: #011434;
	margin: 0;
	padding: 10px;
}

footer .container {	
	display: flex;
	align-items: center;
	height: 70px;
	justify-content: center;
}

footer h5 {
	color: #fff;
	font-weight: 700;
	text-transform: uppercase;
}

footer p {
	font-size: 12px;
	padding: 5px;
}

footer p.copyright {
	color: #f2f2f2;
	font-size: 14px;
}

@media screen and (max-width: 992px) {
	
	header .container {
		height: auto;
	}
	
	header .container,
	header nav {	
		flex-direction: column;
		align-items: center;
		justify-content: center;
	}
	
	header nav ul {	
		justify-content: center;
	}
	
	header nav ul li a:hover {
		text-underline-offset: 10px;
	}
	
	section.products .container {
		flex-flow: row wrap;	
	}
	
	section.products .column,
	section.contacts .column
	{
		flex: 0 0 48%;
	}
	
	video {
		width: 100%;
	}
}


@media screen and (max-width: 768px) {
	
	header .container,
	section.hero .container,
	footer .container	{
		height: auto;
	}
	
	header .container,
	header nav {	
		flex-direction: column;
		align-items: center;
		justify-content: center;
	}
	
	header nav ul {	
		justify-content: center;
	}
	
	section.services .container,
	section.products .container,
	footer .container {
		flex-flow: column wrap;	
	}
	
	header nav ul li a {
		margin: 5px 5px;
		padding: 10px 5px;
	}

	section.contacts .column
	{
		flex: 0 0 100%;
	}
	
}